# Uses of Class
org.springframework.beans.factory.xml.BeanDefinitionParserDelegate

Packages that use BeanDefinitionParserDelegate
Package
Description
org.springframework.beans.factory.xml
Contains an abstract XML-based `BeanFactory` implementation, including a standard "spring-beans" XSD.

## Uses of BeanDefinitionParserDelegate in org.springframework.beans.factory.xml

Methods in org.springframework.beans.factory.xml that return BeanDefinitionParserDelegate
Modifier and Type
Method
Description
`protected BeanDefinitionParserDelegate`
DefaultBeanDefinitionDocumentReader.`createDelegate(XmlReaderContext readerContext, Element root, BeanDefinitionParserDelegate parentDelegate)`
`BeanDefinitionParserDelegate`
ParserContext.`getDelegate()`
Methods in org.springframework.beans.factory.xml with parameters of type BeanDefinitionParserDelegate
Modifier and Type
Method
Description
`protected BeanDefinitionParserDelegate`
DefaultBeanDefinitionDocumentReader.`createDelegate(XmlReaderContext readerContext, Element root, BeanDefinitionParserDelegate parentDelegate)`
`void`
BeanDefinitionParserDelegate.`initDefaults(Element root, BeanDefinitionParserDelegate parent)`
Initialize the default lazy-init, autowire, dependency check settings, init-method, destroy-method and merge settings.
`protected void`
DefaultBeanDefinitionDocumentReader.`parseBeanDefinitions(Element root, BeanDefinitionParserDelegate delegate)`
Parse the elements at the root level in the document: "import", "alias", "bean".
`protected void`
DefaultBeanDefinitionDocumentReader.`processBeanDefinition(Element ele, BeanDefinitionParserDelegate delegate)`
Process the given bean element, parsing the bean definition and registering it with the registry.
Constructors in org.springframework.beans.factory.xml with parameters of type BeanDefinitionParserDelegate
Modifier
Constructor
Description
``
`ParserContext(XmlReaderContext readerContext, BeanDefinitionParserDelegate delegate)`
``
`ParserContext(XmlReaderContext readerContext, BeanDefinitionParserDelegate delegate, BeanDefinition containingBeanDefinition)`